CVE-2016-4800

NameCVE-2016-4800
DescriptionThe path normalization mechanism in PathResource class in Eclipse Jetty 9.3.x before 9.3.9 on Windows allows remote attackers to bypass protected resource restrictions and other security constraints via a URL with certain escaped characters, related to backslashes.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
jetty9 (PTS)stretch9.2.21-1+deb9u1fixed
stretch (security)9.2.30-0+deb9u2fixed
buster, buster (security)9.4.16-0+deb10u1fixed
bookworm, sid, bullseye9.4.39-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
jettysource(unstable)(not affected)
jetty8source(unstable)(not affected)
jetty9source(unstable)(not affected)

Notes

- jetty9 <not-affected> (Only affects Jetty >= 9.3.0, Jetty <= 9.3.8)
- jetty8 <not-affected> (Only affects 9.3.x)
- jetty <not-affected> (Only affects 9.3.x)
http://www.ocert.org/advisories/ocert-2016-001.html

Search for package or bug name: Reporting problems